Mailinglist Archive: opensuse-updates (86 mails)

< Previous Next >
openSUSE-SU-2014:0598-1: moderate: update for curl
openSUSE Security Update: update for curl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0598-1
Rating: moderate
References: #868627 #868629
Cross-References: CVE-2014-0138 CVE-2014-0139
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This curl update fixes two security issues:

- bnc#868627: Fixed wrong re-use of connections
(CVE-2014-0138).
- bnc#868629: Fixed IP address wildcard certificate
validation (CVE-2014-0139).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-329

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-329

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

curl-7.32.0-2.23.1
curl-debuginfo-7.32.0-2.23.1
curl-debugsource-7.32.0-2.23.1
libcurl-devel-7.32.0-2.23.1
libcurl4-7.32.0-2.23.1
libcurl4-debuginfo-7.32.0-2.23.1

- openSUSE 13.1 (x86_64):

libcurl4-32bit-7.32.0-2.23.1
libcurl4-debuginfo-32bit-7.32.0-2.23.1

- openSUSE 12.3 (i586 x86_64):

curl-7.28.1-4.39.1
curl-debuginfo-7.28.1-4.39.1
curl-debugsource-7.28.1-4.39.1
libcurl-devel-7.28.1-4.39.1
libcurl4-7.28.1-4.39.1
libcurl4-debuginfo-7.28.1-4.39.1

- openSUSE 12.3 (x86_64):

libcurl4-32bit-7.28.1-4.39.1
libcurl4-debuginfo-32bit-7.28.1-4.39.1


References:

http://support.novell.com/security/cve/CVE-2014-0138.html
http://support.novell.com/security/cve/CVE-2014-0139.html
https://bugzilla.novell.com/868627
https://bugzilla.novell.com/868629


< Previous Next >
This Thread
  • No further messages